Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.transport
Interface TransportListener

    public interface TransportListener

Class TransportListener

Field Summary
`static String` | `HOST_ADDRESS`
`static String` | `PARAM_PORT`

Method Summary
`void` | `destroy()`
`EndpointReference` | `getEPRForService(String serviceName, String ip)` Deprecated. Transport listener can expose more than EPRs. So this method should return an array of EPRs. Deprecating this method for now and please use getEPRsForServices instead.
`EndpointReference[]` | `getEPRsForService(String serviceName, String ip)` Get the endpoint references for a given service.
`SessionContext` | `getSessionContext(MessageContext messageContext)` To get the sessionContext transport dependent manner.
`void` | `init(ConfigurationContext axisConf, TransportInDescription transprtIn)`
`void` | `start()`
`void` | `stop()`

Field Detail

### PARAM_PORT

    static final String PARAM_PORT

See Also:
  Constant Field Values

### HOST_ADDRESS

    static final String HOST_ADDRESS

See Also:
  Constant Field Values

Method Detail

### init

    void init(ConfigurationContext axisConf,
              TransportInDescription transprtIn)
              throws AxisFault

  Throws:
    `AxisFault`

### start

    void start()
               throws AxisFault

  Throws:
    `AxisFault`

### stop

    void stop()
              throws AxisFault

  Throws:
    `AxisFault`

### getEPRForService

    EndpointReference getEPRForService(String serviceName,
                                       String ip)
                                       throws AxisFault

  Deprecated. Transport listener can expose more than EPRs. So this method should return an array of EPRs. Deprecating this method for now and please use getEPRsForServices instead.

  Parameters:
    `serviceName` -
    `ip` -
  Throws:
    `AxisFault`

### getEPRsForService

    EndpointReference[] getEPRsForService(String serviceName,
                                          String ip)
                                          throws AxisFault

  Get the endpoint references for a given service. These are the addresses that a client can use to send requests to the given service through this transport.

  Parameters:
    `serviceName` - TODO: this is actually not simply the service name!
    `ip` - The host name or IP address of the local host. The implementation should use this information instead of `InetAddress.getLocalHost()`. The value of this parameter may be `null`, in which case the implementation should use `Utils.getIpAddress( org.apache.axis2.engine.AxisConfiguration)`.
  Returns:
    an array of endpoint references for the given service
  Throws:
    `AxisFault`

### getSessionContext

    SessionContext getSessionContext(MessageContext messageContext)

  To get the sessionContext transport dependent manner. So that transport listener can return its own implementation of session managment

  Parameters:
    `messageContext` - : MessageContext which has all the relavent data
  Returns:
    SessionContext

### destroy

    void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.